MyGUI 3.2.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions | Static Public Member Functions
MyGUI::IStateInfo Class Reference

`#include <MyGUI_IStateInfo.h>`

Inheritance diagram for MyGUI::IStateInfo:
[legend]

## Public Types
typedef RTTIBase | Base
typedef IStateInfo | RTTIBase
Public Types inherited from MyGUI::ISerializable
typedef RTTIBase | Base
typedef ISerializable | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions
virtual const std::string & | getTypeName () const
virtual bool | isType (const std::type_info &_type) const
template<typename Type >
bool | isType () const
virtual | ~IStateInfo ()
Public Member Functions inherited from MyGUI::ISerializable
template<typename Type >
bool | isType () const
| ISerializable ()
virtual | ~ISerializable ()
virtual void | serialization (xml::ElementPtr _node, Version _version)
virtual void | deserialization (xml::ElementPtr _node, Version _version)
Public Member Functions inherited from MyGUI::IObject
template<typename Type >
bool | isType () const
template<typename Type >
Type * | castType (bool _throw=true)
template<typename Type >
const Type * | castType (bool _throw=true) const
| IObject ()
virtual | ~IObject ()

## Static Public Member Functions
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ISerializable
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static const std::string & | getClassTypeName ()

## Detailed Description

Definition at line 16 of file MyGUI_IStateInfo.h.

## Member Typedef Documentation

typedef RTTIBase MyGUI::IStateInfo::Base

Definition at line 19 of file MyGUI_IStateInfo.h.

typedef IStateInfo MyGUI::IStateInfo::RTTIBase

Definition at line 19 of file MyGUI_IStateInfo.h.

## Constructor & Destructor Documentation

virtual MyGUI::IStateInfo::~IStateInfo | ( |  | ) |
| inline virtual

Definition at line 22 of file MyGUI_IStateInfo.h.

## Member Function Documentation

static const std::string& MyGUI::IStateInfo::getClassTypeName | ( |  | ) |
| inline static

Definition at line 19 of file MyGUI_IStateInfo.h.

virtual const std::string& MyGUI::IStateInfo::getTypeName | ( |  | ) | const
| inline virtual

Get type name as string

Reimplemented from MyGUI::ISerializable.

Reimplemented in MyGUI::EditTextStateInfo, MyGUI::RotatingSkinStateInfo, MyGUI::TileRectStateInfo, and MyGUI::SubSkinStateInfo.

Definition at line 19 of file MyGUI_IStateInfo.h.

virtual bool MyGUI::IStateInfo::isType | ( | const std::type_info & | _type | ) | const
| inline virtual

Compare with selected type

Reimplemented from MyGUI::ISerializable.

Reimplemented in MyGUI::EditTextStateInfo, MyGUI::RotatingSkinStateInfo, MyGUI::TileRectStateInfo, and MyGUI::SubSkinStateInfo.

Definition at line 19 of file MyGUI_IStateInfo.h.

template<typename Type >

bool MyGUI::IStateInfo::isType | ( |  | ) | const
| inline

Compare with selected type

Definition at line 19 of file MyGUI_IStateInfo.h.

The documentation for this class was generated from the following file:

- MyGUI_IStateInfo.h